#!/bin/bash
for file in ${BASE_DIR}/${VERSION}/factory/* ${BASE_DIR}/${VERSION}/sysupgrade/* ; do
	MODEL=$(echo ${file} | \
		awk -F'/' '{print $NF}' | \
		sed -e 's;gluon-ffho-[\.~[:alnum:]]\+-\([-\.+[:alnum:]]\+\)\(\.[[:alpha:]]\+\)\+;\1;' \
			-e 's/-sysupgrade//' \
			-e 's/.img//')

	grep ${MODEL} ${BASE_DIR}/models.txt > /dev/null
	if [ $? != 0 ] ; then
		echo ${MODEL}
	fi
done
